/* stylelint-disable docusaurus/copyright-header */
/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */

@import "modules/notes.css";

:root {
  --ifm-color-primary: #2e4ea1;
  --ifm-color-primary-dark: #47489a;
  --ifm-color-primary-darker: #3a53d0;
  --ifm-color-primary-darkest: #3c428a;
  --ifm-color-primary-light: #4757e3;
  --ifm-color-primary-lighter: #3c3ba8;
  --ifm-color-primary-lightest: #272ab7;
  --ifm-code-font-size: 95%;
}

.docusaurus-highlight-code-line {
  background-color: #a8b5b0;
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

table {
    width: 100%;
    font: Lato, sans-serif;
}

.markdown li > p {
    margin-top: 0px;
    margin-bottom: 0px;
}

.ph.cmd {
  font-family: revert;
  background-color: unset;
}

.pre {
  background-color: var(--ifm-pre-background);
  border-radius: var(--ifm-pre-border-radius);
  color: var(--ifm-pre-color);
  font: var(--ifm-code-font-size)/var(--ifm-pre-line-height) var(--ifm-font-family-monospace);
  margin: 0 0 var(--ifm-spacing-vertical);
  overflow: auto;
  padding: var(--ifm-pre-padding);
  word-wrap: normal;
  display: block;
  font-family: monospace;
  white-space: pre-wrap;
}

.ph:not(.b):not(.i):not(.u) {
    display: inline;
    background-color: var(--ifm-pre-background);
    border-radius: var(--ifm-pre-border-radius);
    color: var(--ifm-pre-color);
    font: var(--ifm-code-font-size)/var(--ifm-pre-line-height) var(--ifm-font-family-monospace);
    word-wrap: normal;
    font-family: monospace;
    white-space: pre-wrap;
}

.markdown {
    --ifm-h1-vertical-rhythm-top: 0; 
}

.anchor_top_offset::before {
    top: calc(var(--ifm-navbar-height) * -1);
    content: '';
    display: block;
    height: calc(var(--ifm-navbar-height));
    margin-top: calc(var(--ifm-navbar-height) * -1);
    visibility: hidden;
}

/* Wrap long lines of text in codeblocks */
code {
  white-space: pre-wrap;
}

body {
  height: 100%;
    font-size: 14px;
    font: Lato, sans-serif;
    color: #546068;
}

h1 {
  color: #63C4D2;
  font: 20px Lato, sans-serif;
}

h2 {
  color: #63C4D2;
  font: 20px Lato, sans-serif;
}

a {
  color: #18272F;
  position: relative;
  text-decoration: none;
}

a::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 4px;
  border-radius: 2px;
  background: linear-gradient(
      to right,
      rgba(255, 0, 0, 1),
      rgba(255, 0, 180, 1),
      rgba(0, 100, 200, 1)
  );
  bottom: 0;
  left: 0;
  transform-origin: right;
  transform: scaleX(0);
  transition: transform .3s ease-in-out;
}

a:hover::before {
  transform-origin: left;
  transform: scaleX(1);
}

.themedImage_ToTc {
    height: 120px;
    width: auto;
}

img {
    vertical-align: middle;
    border-style: none;
    width: 400px;
    height: 100px;
}




